**********************
* native PDFs version*
**********************

      subroutine inizializzazPDF()
! Initializzation for LHAPFD, dummy for native PDFs
      implicit none
      end

C Parton distributions and lambda5qcd
c
      subroutine lambda5qcd(lam,iset)
c this subroutine gives Lambda for five flavors for each set
      integer isetproton,nset,nloop
      real*8 lambda5(0:92)
      real*8 lam
      common/isetproton/isetproton
      common/nset/nset
      common/nloop/nloop
      data lambda5/0.202d0,0.d0,0.181d0,0.1677d0,
     #             0.220d0,0.220d0,0.220d0,0.164d0,0.288d0,
     #             0.132d0,0.132d0,0.132d0,0.0d0,0.0d0,
     #             0.226d0,0.226d0,0.146d0,0.226d0,0.226d0,
     #             0.0d0,0.0d0,0.226d0,0.226d0,0.0d0,
     #             0.122d0,0.140d0,0.d0,0.d0,0.d0,0.d0,0.22d0,
     #             0.22d0,0.187d0,0.187d0,0.187d0,0.187d0,
     #             0.187d0,0.132d0,0d0,0d0,0d0,0.239d0,0.d0,
     #             0.d0,0.d0,0.181d0,0.d0,0.d0,0.d0,0.1665d0,
     #             0.226d0,0.226d0,0d0,0d0,0d0,0d0,0d0,0d0,0d0,
     #             0d0,0d0,0.2485d0,0.1795d0,0d0,0d0,0d0,0d0,0d0,
     #             0d0,0d0,0d0,0.260d0,0.1935d0,
     #             0d0,0d0,0d0,0d0,0d0,0d0,0d0,0d0,0d0,0d0,0d0,0d0,
     #             0d0,0d0,0d0,0d0,0d0,0.255d0,0.2551d0,0.1977d0/

      write (6,*)
      write (6,*)'****************************************************'
      write (6,*)'*                                                  *'
      write (6,*)'*      HqT2.0 runs with native PDFs routines       *'
      write (6,*)'*                                                  *'
      write (6,*)'****************************************************'
      write (6,*)
      write (12,50)'( HqT2.0 runs with native PDFs routines, '
  50  format(A)
      write (6,49)'   pdf=',isetproton,', nset=',nset,', nloop=',nloop
      write (12,49)'( pdf=',isetproton,', nset=',nset,', nloop=',nloop
  49  format(A,I4,A,I3,A,I3)

      lam=lambda5(iset)
      return
      end


      function alphas(nq2)
c.....N.B.:Here you have in output alpha_s/(4*Pi)!!!!!
      implicit real*8(a-h,o-z)
      complex*16 xlambda,alphas,nq2,qq,t,xlt,alfaf
      integer flagalphas
      common/nloop/nloop
      common/xlam/xlam
      common/flagalphas/flagalphas
      data pi/3.1415926536d0/
      include 'scales.F'
      nf=5
      qq=cdsqrt(nq2)
      anf=5d0
      b0=11D0-2D0/3D0*anf
      b1=51D0-19D0/3D0*anf
      b2=2857D0-5033D0/9D0*nf+325D0/27D0*anf**2

      if(flagalphas.eq.0) then
        flagalphas=1
      endif

      t = 2.d0 * cdlog(qq/xlam )
      xlt =cdlog(t)
      if (nloop.eq.1) then
      alfa = 4d0*Pi/(b0 * t)
      elseif (nloop.eq.2) then
      alfa = 4d0*Pi/(b0 * t)*(1D0-2D0*b1/b0**2 * xlt/t)
      elseif (nloop.eq.3) then
      alfa = 4d0*Pi/(b0 * t)*(1D0-2D0*b1/b0**2 * xlt/t
     #+4D0*b1**2/b0**4/t**2*((xlt-0.5D0)**2+b2*b0/8D0/b1**2-5D0/4D0))
      endif
      alphas=alfa/4d0/Pi
      return
      end


